%define upstream_name    Template-Plugin-Latex
%define upstream_version 3.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    LaTeX plugin for the Template Toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=79632
Patch0:     Template-Plugin-Latex-3.02-fix-test-failure.patch

BuildRequires: perl(LaTeX::Driver)
BuildRequires: perl(LaTeX::Encode)
BuildRequires: perl(LaTeX::Table)
BuildRequires: perl(Template)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Moose::Policy) perl(Moose)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Sub::Name)
BuildArch: noarch


%description
The Template::Latex module is a wrapper of convenience around the Template
module, providing additional support for generating PDF, PostScript and DVI
documents from LaTeX templates.

You use the Template::Latex module exactly as you would the Template
module.

    my $tt = Template::Latex->new(\%config);
    $tt->process($input, \%vars, $output)
        || die $t->error();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc README README README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.20.0-4.mga4
+ Revision: 522743
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 guillomovitch <guillomovitch> 3.20.0-3.mga3
+ Revision: 405348
- fix tests failure

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 3.20.0-1.mga1
+ Revision: 37204
- mageia rebuild
- imported package perl-Template-Plugin-Latex

